window.Gleam.initSearch([{"doc":"wimp","title":"wimp","content":"# wimp\n\n[![Package Version](https://img.shields.io/hexpm/v/wimp)](https://hex.pm/packages/wimp)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/wimp/)\n\nA Gleam client for the Pushover push notification API.\n\n```sh\ngleam add wimp\n```\n```gleam\nimport wimp\nimport gleam/httpc\n\npub fn send_notification() {\n  let assert Ok(response) =\n    wimp.new(token: token, user: user, message: &quot;Hello, Joe!&quot;)\n    |&gt; wimp.message_request\n    |&gt; httpc.send\n\n  response\n  |&gt; wimp.decode_message_response\n}\n```\n\nCode documentation can be found at &lt;https://hexdocs.pm/wimp&gt;.\n\nMore information about the Pushover API can be found at &lt;https://pushover.net/api&gt;.\n","url":"index.html"},{"doc":"wimp","title":"Builder","content":"pub opaque type Builder\n The unix timestamp when the app counter will reset.\n\n\nSynonyms:\nwimp.Builder\nwimp Builder","url":"wimp.html#Builder"},{"doc":"wimp","title":"Error","content":"pub type Error {\n  MessageLimitExceeded(limits: Limits)\n  InvalidApplicationToken\n  BadRequest(body: String)\n  RateLimited(limits: Limits, body: String)\n  UnexpectedResponse(status: Int, body: String)\n}\n\nMessageLimitExceeded(limits: Limits)\n\n\nInvalidApplicationToken\n\n\nBadRequest(body: String)\n\n\nRateLimited(limits: Limits, body: String)\n\n\nUnexpectedResponse(status: Int, body: String)\n\n\nSynonyms:\nwimp.Error\nwimp Error","url":"wimp.html#Error"},{"doc":"wimp","title":"Formatting","content":"pub type Formatting {\n  Html\n  Text\n  Monospace\n}\n\nHtml\n\n\nText\n\n\nMonospace\n\n\nSynonyms:\nwimp.Formatting\nwimp Formatting","url":"wimp.html#Formatting"},{"doc":"wimp","title":"Limits","content":"pub type Limits {\n  Limits(app_limit: Int, app_remaining: Int, app_reset: Int)\n}\n\nLimits(app_limit: Int, app_remaining: Int, app_reset: Int)\n\napp_reset\n&lt;p&gt;The unix timestamp when the app counter will reset.&lt;/p&gt;\n\nSynonyms:\nwimp.Limits\nwimp Limits","url":"wimp.html#Limits"},{"doc":"wimp","title":"Priority","content":"pub type Priority {\n  Emergency(retry: Int, expire: Int)\n  High\n  Normal\n  Low\n  Lowest\n}\n\nEmergency(retry: Int, expire: Int)\n\n\nHigh\n\n\nNormal\n\n\nLow\n\n\nLowest\n\n\nSynonyms:\nwimp.Priority\nwimp Priority","url":"wimp.html#Priority"},{"doc":"wimp","title":"decode_message_response","content":"pub fn decode_message_response(\n  resp: Response(String),\n) -&gt; Result(Limits, Error)\n Decode the response from Pushover to determine whether the message sending\n was successful or not.\n\nSynonyms:\nwimp.decode_message_response\nwimp decode_message_response","url":"wimp.html#decode_message_response"},{"doc":"wimp","title":"device","content":"pub fn device(builder: Builder, device: String) -&gt; Builder\n Set the device to send the message to.\n\nSynonyms:\nwimp.device\nwimp device","url":"wimp.html#device"},{"doc":"wimp","title":"formatting","content":"pub fn formatting(\n  builder: Builder,\n  formatting: Formatting,\n) -&gt; Builder\n Set the formatting of the message.\n\nSynonyms:\nwimp.formatting\nwimp formatting","url":"wimp.html#formatting"},{"doc":"wimp","title":"message_request","content":"pub fn message_request(builder: Builder) -&gt; Request(String)\n\nSynonyms:\nwimp.message_request\nwimp message_request","url":"wimp.html#message_request"},{"doc":"wimp","title":"new","content":"pub fn new(\n  token token: String,\n  user user: String,\n  message message: String,\n) -&gt; Builder\n Create a new Pushover message to send to a Pushover user as the application\n for the token.\n\n Messages are limited to 1024 characters in length, longer messages will be\n truncated.\nSynonyms:\nwimp.new\nwimp new","url":"wimp.html#new"},{"doc":"wimp","title":"priority","content":"pub fn priority(builder: Builder, priority: Priority) -&gt; Builder\n Set the priority of the message.\n\nSynonyms:\nwimp.priority\nwimp priority","url":"wimp.html#priority"},{"doc":"wimp","title":"sound","content":"pub fn sound(builder: Builder, sound: String) -&gt; Builder\n Set the sound of the message.\n\n The default sounds are:\n - `pushover` - Pushover (default)  \n - `bike` - Bike  \n - `bugle` - Bugle  \n - `cashregister` - Cash Register  \n - `classical` - Classical  \n - `cosmic` - Cosmic  \n - `falling` - Falling  \n - `gamelan` - Gamelan  \n - `incoming` - Incoming  \n - `intermission` - Intermission  \n - `magic` - Magic  \n - `mechanical` - Mechanical  \n - `pianobar` - Piano Bar  \n - `siren` - Siren  \n - `spacealarm` - Space Alarm  \n - `tugboat` - Tug Boat  \n - `alien` - Alien Alarm (long)  \n - `climb` - Climb (long)  \n - `persistent` - Persistent (long)  \n - `echo` - Pushover Echo (long)  \n - `updown` - Up Down (long)  \n - `vibrate` - Vibrate Only\n - `none` - None (silent) \n\nSynonyms:\nwimp.sound\nwimp sound","url":"wimp.html#sound"},{"doc":"wimp","title":"supplimentary_url","content":"pub fn supplimentary_url(\n  builder: Builder,\n  title title: String,\n  url url: String,\n) -&gt; Builder\n Set a supplimentary URL and a title for the link.\n\nSynonyms:\nwimp.supplimentary_url\nwimp supplimentary_url","url":"wimp.html#supplimentary_url"},{"doc":"wimp","title":"time_to_live","content":"pub fn time_to_live(\n  builder: Builder,\n  seconds time_to_live: Int,\n) -&gt; Builder\n Set the time to live of the message in seconds.\n\nSynonyms:\nwimp.time_to_live\nwimp time_to_live","url":"wimp.html#time_to_live"},{"doc":"wimp","title":"title","content":"pub fn title(builder: Builder, title: String) -&gt; Builder\n Set the title of the message.\n\n Titles are limited to 250 characters in length, longer titles will be\n truncated.\nSynonyms:\nwimp.title\nwimp title","url":"wimp.html#title"},{"doc":"wimp","title":"wimp","content":" A Gleam client for the Pushover push notification API.\n\n https://pushover.net/api","url":"wimp.html"}]);